## qtmoovrecover qtmoovrecover — Utility element for recovering unfinished quicktime files |

## Synopsis

    struct              GstQTMoovRecover;
    struct              GstQTMoovRecoverClass;
    GType               gst_qt_moov_recover_get_type        (void);
    gboolean            gst_qt_moov_recover_register        (GstPlugin *plugin);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBin
                               +----GstPipeline
                                     +----GstQTMoovRecover

## Implemented Interfaces

GstQTMoovRecover implements GstChildProxy.

## Properties

      "broken-input"             gchar*                : Read / Write
      "faststart-mode"           gboolean              : Read / Write
      "fixed-output"             gchar*                : Read / Write
      "recovery-input"           gchar*                : Read / Write

## Description

### Example pipelines

This element recovers quicktime files created with qtmux using the moov recovery feature.

    TODO

Documentation last reviewed on 2011-04-21

## Synopsis

### Element Information

plugin | isomp4
author | Thiago Santos <thiago.sousa.santos@collabora.co.uk>
class | Util

### Element Pads

## Details

### struct GstQTMoovRecover

    struct GstQTMoovRecover;

### struct GstQTMoovRecoverClass

    struct GstQTMoovRecoverClass {
      GstPipelineClass parent_class;
    };

### gst_qt_moov_recover_get_type ()

    GType               gst_qt_moov_recover_get_type        (void);

### gst_qt_moov_recover_register ()

    gboolean            gst_qt_moov_recover_register        (GstPlugin *plugin);

## Property Details

### The `"broken-input"` property

      "broken-input"             gchar*                : Read / Write

Path to broken input file. (If qtmux was on faststart mode, this file is the faststart file).

Default value: NULL

### The `"faststart-mode"` property

      "faststart-mode"           gboolean              : Read / Write

If the broken input is from faststart mode.

Default value: FALSE

### The `"fixed-output"` property

      "fixed-output"             gchar*                : Read / Write

Path to write the fixed file to (used as output).

Default value: NULL

### The `"recovery-input"` property

      "recovery-input"           gchar*                : Read / Write

Path to recovery file (used as input).

Default value: NULL